# Retrieve a grant

Retrieves a single grant.

Endpoint: GET /v3/users/{userId}/grants/{grantId}
Version: 2026-09-18
Security: ZephrHmacHttp

## Security:

  - `ZephrHmacHttp` (unknown)
    http ZEPHR-HMAC-*

## Path parameters:

  - `userId` (string, required)
    Unique User identifier

  - `grantId` (string, required)
    Unique Grant identifier

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `grantId` (string)
    Example: e196ad75-a6d0-471b-90b3-de3843dd7860

  - `user_id` (string)
    Example: e1812285-2f21-441e-8be4-b08835cd4b2c

  - `account_id` (string)
    Example: 14515649-565f-4b1c-8346-eb98301c1d6b

  - `expiry_state` (string)
    Enum: "pending", "active", "expired"

  - `entitlement_type` (string, required)
    An enum describing the type of the entitlement.
    Enum: "bundle", "entitlement", "meter", "credits"

  - `entitlement_id` (string, required)
    Example: b74df5c4-fded-492c-ad90-07646bded5db

  - `startTime` (string)
    Example: 2022-06-01 00:00:00

  - `endTime` (string)
    Example: 2022-12-31 23:59:59

  - `product_id` (string, required)
    Example: 86abb44a-e6f2-4f9b-ac26-46ae0a13ed31

  - `createdAt` (string)
    Example: 2022-05-31 23:59:59

